aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/symlink-tree.sh
diff options
context:
space:
mode:
authorJonas Gorski <jogo@openwrt.org>2013-02-21 11:45:27 +0000
committerJonas Gorski <jogo@openwrt.org>2013-02-21 11:45:27 +0000
commit2d8c5117c0f7f9f4eef7e57dc4349588db1f4fe7 (patch)
tree99e5dba269a0a9bd89db3765bfc6a3bcd9e596ec /scripts/symlink-tree.sh
parent5449b24099ceba009284cddf774c4d9b3e9ecec1 (diff)
downloadupstream-2d8c5117c0f7f9f4eef7e57dc4349588db1f4fe7.tar.gz
upstream-2d8c5117c0f7f9f4eef7e57dc4349588db1f4fe7.tar.bz2
upstream-2d8c5117c0f7f9f4eef7e57dc4349588db1f4fe7.zip
scripts/symlink-tree.sh: print warnings/errors to stderr
Makes warnings/errors visible when building with V=w/V=1. Signed-off-by: Jonas Gorski <jogo@openwrt.org> SVN-Revision: 35718
Diffstat (limited to 'scripts/symlink-tree.sh')
-rwxr-xr-xscripts/symlink-tree.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/symlink-tree.sh b/scripts/symlink-tree.sh
index 8be5f6c967..e44ebdabbf 100755
--- a/scripts/symlink-tree.sh
+++ b/scripts/symlink-tree.sh
@@ -24,12 +24,12 @@ if [ -f feeds.conf ] ; then
fi
if [ -z "$1" ]; then
- echo "Syntax: $0 <destination>"
+ echo "Syntax: $0 <destination>" >&2
exit 1
fi
if [ -e "$1" ]; then
- echo "Error: $1 already exists"
+ echo "Error: $1 already exists" >&2
exit 1
fi
@@ -37,7 +37,7 @@ set -e # fail if any commands fails
mkdir -p dl "$1"
for file in $FILES; do
[ -e "$PWD/$file" ] || {
- echo "ERROR: $file does not exist in the current tree"
+ echo "ERROR: $file does not exist in the current tree" >&2
exit 1
}
ln -s "$PWD/$file" "$1/"